## ocaml-angstrom 0.15.0

=== Makefile ===
.PHONY: all build clean test install uninstall doc examples

build:
	dune build

all: build

test:
	dune runtest

examples:
	dune build @examples

install:
	dune install

uninstall:
	dune uninstall

doc:
	dune build @doc

clean:
	rm -rf _build *.install

=== debian/changelog ===
ocaml-angstrom (0.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000748)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 13:54:53 +0100

=== debian/control ===
Source: ocaml-angstrom
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libbigstringaf-ocaml-dev,
 libresult-ocaml-dev,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-angstrom
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-angstrom.git
Homepage: https://github.com/inhabitedtype/angstrom

Package: libangstrom-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: speed and memory-efficient parser combinators for OCaml (dev)
 Angstrom is a parser-combinator library that makes it easy to write
 efficient, expressive, and reusable parsers suitable for
 high-performance applications. It exposes monadic and applicative
 interfaces for composition, and supports incremental input through
 buffered and unbuffered interfaces. Both interfaces give the user
 total control over the blocking behavior of their application, with
 the unbuffered interface enabling zero-copy IO. Parsers are
 backtracking by default and support unbounded lookahead.
 .
 This package contains development files.

Package: libangstrom-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: speed and memory-efficient parser combinators for OCaml (runtime)
 Angstrom is a parser-combinator library that makes it easy to write
 efficient, expressive, and reusable parsers suitable for
 high-performance applications. It exposes monadic and applicative
 interfaces for composition, and supports incremental input through
 buffered and unbuffered interfaces. Both interfaces give the user
 total control over the blocking behavior of their application, with
 the unbuffered interface enabling zero-copy IO. Parsers are
 backtracking by default and support unbounded lookahead.
 .
 This package contains runtime files.

=== debian/watch ===
version=4
https://github.com/inhabitedtype/angstrom/releases .*/tags/v?([0-9.]+)\.tar\.gz

## ocaml-angstrom 0.16.0

=== debian/changelog ===
ocaml-angstrom (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 14:29:59 +0100

ocaml-angstrom (0.15.0-4) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:48:57 +0200

ocaml-angstrom (0.15.0-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 06:51:54 +0200

ocaml-angstrom (0.15.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libbigstringaf-ocaml-dev,
  libresult-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2.1)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-angstrom
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-angstrom.git

## ocaml-angstrom 0.16.1

=== debian/changelog ===
ocaml-angstrom (0.16.1-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 13:44:45 +0100

ocaml-angstrom (0.16.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Sep 2024 11:24:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libbigstringaf-ocaml-dev,
  libresult-ocaml-dev,
  dh-ocaml (>= 1.2.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-angstrom
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-angstrom.git

=== debian/watch ===
version=4
https://github.com/inhabitedtype/angstrom/tags .*/v?([0-9.]+)\.tar\.gz
